# lingo - payment and billing system
# Copyright (C) 2023  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

try:
    from hobo.multitenant.spooler import run  # pylint: disable=unused-import
except ImportError:
    import pickle

    def run(func, *args, **kwargs):
        try:
            pickle.dumps((func, args, kwargs))
        except Exception:
            raise ValueError(f'{(func, args, kwargs)} are unpicklable')
        func(*args, **kwargs)
