import pytest
from django.urls import reverse

from tests.utils import login

pytestmark = pytest.mark.django_db


def test_manager_home_show_invoicing(app, admin_user):
    app = login(app)
    resp = app.get('/manage/')
    anchor = resp.pyquery('div#appbar span.actions a[href="%s"]' % reverse('lingo-manager-invoicing-home'))
    assert anchor.text() == 'Invoicing'


def test_manager_invoicing_home(app, admin_user):
    app = login(app)
    resp = app.get(reverse('lingo-manager-invoicing-home'))
    h2 = resp.pyquery('div#appbar h2')
    assert h2.text() == 'Invoicing'
    anchor = resp.pyquery(
        'div#lingo-manager-main div a[href="%s"]' % reverse('lingo-manager-invoicing-regie-list')
    )
    assert anchor.text().startswith('Regies')
